global using System.Linq.Expressions;
global using Entities.Models;




namespace Contracts;
public interface IRepositoryBase<T>
{
    IQueryable<T> FindAll();
    IQueryable<T> FindByCondition(Expression<Func<T, bool>> expression);
    void Create(T entity);
    void Update(T entity);
    void Delete(T entity);
    void Detach(T entity);
}
